﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2014 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once
# include "SivString.hpp"

namespace s3d
{
	class EngineConfig
	{
	private:

		String m_name;

	public:

		EngineConfig() = default;

		EngineConfig(const String& name)
			: m_name(name) {}

		EngineConfig(String&& name)
			: m_name(std::move(name)) {}

		void set(int value);

		void set(double value);

		void set(const String& str);
	};
}
