﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2014 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once
# include <DirectXPackedVector.h>

struct HalfFloat
{
	uint16_t m_value;

	HalfFloat()
	{

	}

	HalfFloat(float value)
	{
		set(value);
	}

	float get() const
	{
		return DirectX::PackedVector::XMConvertHalfToFloat(m_value);
	}

	void set(float value)
	{
		m_value = DirectX::PackedVector::XMConvertFloatToHalf(value);
	}

	operator float() const
	{
		return get();
	}
};
