﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2014 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once
# include "Siv3DFwd.hpp"

namespace s3d
{
	namespace FileSystem
	{
		__declspec(deprecated("** FileSystem::RemoveAll() is a deprecated function. Use FileSystem::Remove() instead. **"))
		bool RemoveAll(const FilePath& path);
	}

	namespace Graphics
	{
		__declspec(deprecated("** Graphics::Reset2DState() is a deprecated function. Use Graphics2D::SetRenderState(RenderState2D::Default) instead. **"))
		void Reset2DState();
	}
}
