﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2014 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once
# include "Siv3DFwd.hpp"
# include "SivArray.hpp"
# include "SivMeshData.hpp"
# include "SivModel.hpp"

namespace s3d
{
	namespace ModelLoader
	{
		Array<MeshData> LoadMeshDataFromOBJ(const FilePath& path);

		Array<ModelNode> LoadModelNodesFromOBJ(const FilePath& path);
	}
}
