﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2014 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once

namespace s3d
{
	enum class SSE
	{
		SSE2 = 20,
		
		SSE3 = 30,
		
		SSE4_1 = 41,
		
		SSE4_2 = 42
	};

	namespace SIMD
	{
		SSE SupportedSSE();

		bool SetSSE(SSE sse);
	}
}
